/**
 *
 */

function sincronizarTodosDados(ip, banco, empresa, vendedor, callback) {

	try {
		//----------------------------------------------------------------------
		//--------------------------EXE SINC-----------------------------------
		//----------------------------------------------------------------------
		var inserirClientes = new ExeInsereClientes(ip, banco, function() {
			jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '17%');
			var inserirPedidos = new ExeInserePedidos(ip, banco, empresa, vendedor, function() {

				// //---------------------------------------------------------------------------
				// //----------------------------CONSULTA SINC---------------------------------
				// //---------------------------------------------------------------------------
				var saldo = new SincSaldo(ip, banco, empresa, vendedor, function() {
					var clientes = new SincClientes(ip, banco, empresa, vendedor, function() {
						jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '33%');
						var formaPagamentoClientes = new SincFormaPagamentoCliente(ip, banco, empresa, vendedor, function() {
							jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '50%');
							var produtos = new SincProdutos(ip, banco, empresa, function() {
								jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '67%');
								var formaPagamento = new SincFormaPagamento(ip, banco, function() {
									jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '84%');
									var listaPreco = new SincListaPreco(ip, banco, function() {
										var listaPrecoProduto = new SincListaPrecoProduto(ip, banco, empresa, function() {
											jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '90%');
											var titulo = new SincTitulos(ip, banco, empresa, vendedor, function() {
												jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '100%');

												fecharPopUp(callback);
											});
										});
									});
								});
							});
						});
					});
				});
			});
		});

	} catch(err) {
		fecharPopUpSemBotao();

		throw err;
	}

	function fecharPopUp(callback) {
		var pop = jQuery('#iframePopUp', window.parent.document);

		var a = pop.contents().find("#linksPopup");
		a.append('<div id="popUpGroup" class="btn-group btn-group-justified"><a class="btn btn-warning" id="botaoPopUpOkSinc" role="button" >Ok</a></div>');

		var adPop = jQuery('.adpopup', window.parent.document);

		pop.css('height', (pop.height() + 50) + 'px');
		adPop.css('height', (adPop.height() + 50) + 'px');

		var b = pop.contents().find("#botaoPopUpOkSinc");

		b.on('click', function(e) {
			var popup = jQuery('.adpopup', window.parent.document);
			var overlay = jQuery('.adpopup-overlay.adpopup-style-overlay-dark', window.parent.document);
			callback();
			popup.remove();
			overlay.remove();

		});
	}

	function fecharPopUpSemBotao() {
		var popup = jQuery('.adpopup', window.parent.document);
		var overlay = jQuery('.adpopup-overlay.adpopup-style-overlay-dark', window.parent.document);
		popup.remove();
		overlay.remove();
	}

}

